Delete a value list item

Base URL
https://{kibana_url}
  • DELETE /api/lists/items
Auth

Delete a value list item using its id, or its list_id and value fields.

Query parameters

id string · format: nonempty · min length: 1

Value list item's identifier. Required if list_id and value are not specified.

Example: 54b01cfb-058d-44b9-838c-282be16c91cd
list_id string · format: nonempty · min length: 1

Value list's identifier. Required if id is not specified.

Example: 21b01cfb-058d-44b9-838c-282be16c91cd
value string

The value used to evaluate exceptions. Required if id is not specified.

Example: 255.255.255.255
refresh enum · default: false

Determines when changes made by the request are made visible to search.

Values: true false wait_for

Responses

Successful response

application/json
One of:
{} ListItem[]
_version string

The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.

@timestamp string · format: date-time
created_at string · format: date-time required

Autogenerated date of object creation.

created_by string required

Autogenerated value - user that created object.

id string · format: nonempty · min length: 1 required

Value list item's identifier.

list_id string · format: nonempty · min length: 1 required

Value list's identifier.

meta object

Placeholder for metadata about the value list item.

tie_breaker_id string required

Field used in search to ensure all containers are sorted and returned correctly.

type enum required

Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

  • keyword: Many ECS fields are Elasticsearch keywords
  • ip: IP addresses
  • ip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
updated_at string · format: date-time required

Autogenerated date of last object update.

updated_by string required

Autogenerated value - user that last updated object.

value string · format: nonempty · min length: 1 required

The value used to evaluate exceptions.

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

List item not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}